新手问题 在 Linux 上安装 tesseract 能成功,可是在 Mac 却遇到棘手问题

mok · 2015年01月14日 · 最后由 mok 回复于 2015年01月14日 · 3270 次阅读

Moks-MBP:tesseract moksteven$ tesseract dyld: Library not loaded: /usr/local/lib/libjpeg.8.dylib Referenced from: /usr/local/lib/liblept.4.dylib Reason: Incompatible library version: liblept.4.dylib requires version 13.0.0 or later, but libjpeg.8.dylib provides version 9.0.0 Trace/BPT trap: 5

似乎是各个库的版本冲突,希望有个流程可以参考。

发现这么一个错误,希望有大神能帮忙解决,谢谢!

brew install tesseract

@liprais 我就是 brew install 来安装的

@liprais 终于解决了 sudo ln -s /usr/local/Cellar/jpeg/8d/lib/libjpeg.8.dylib /usr/local/lib/libjpeg.8.dylib 删除 原先的 /usr/local/lib/libjpeg.8.dylib 在从安装 libjpeg 的地方 软连接到 该地址 应该是我之前源码安装导致的问题 能 brew 还是 brew 的好!!

需要 登录 后方可回复, 如果你还没有账号请点击这里 注册